from .manifest_iterators import ManifestIterator
from manifest_edit.plugin.manifest_iterator_plugin import (
    ManifestIteratorPlugin as BaseManifestIteratorPlugin,
)
from manifest_edit.pipeline import FORMAT_MPD


class ManifestIteratorPlugin(BaseManifestIteratorPlugin):
    """
    An mpd ManifestIteratorPlugin

    """

    supported_format = FORMAT_MPD

    def __init__(self):
        super().__init__(ManifestIteratorType=ManifestIterator)
